Page MenuHomePhabricator

[mips][mips64r6] madd.[ds], msub.[ds], nmadd.[ds], and nmsub.[ds] are not available on MIPS32r6/MIPS64r6
ClosedPublic

Authored by dsanders on May 29 2014, 5:24 AM.

Details

Summary

This patch updates both the assembler and the code generator.

MIPS32r6/MIPS64r6 replaces them with maddf.[ds] and msubf.[ds] which are fused
multiply-add/sub operations. We don't emit these yet, this patch only prevents the removed instructions from being emitted.

Depends on D3955

Diff Detail

Event Timeline

dsanders updated this revision to Diff 9919.May 29 2014, 5:24 AM
dsanders retitled this revision from to [mips][mips64r6] madd.[ds], msub.[ds], nmadd.[ds], and nmsub.[ds] are not available on MIPS32r6/MIPS64r6.
dsanders updated this object.
dsanders edited the test plan for this revision. (Show Details)
dsanders updated this revision to Diff 10229.Jun 9 2014, 2:42 AM

Refresh patch and ping

vmedic accepted this revision.Jun 11 2014, 2:55 AM
vmedic edited edge metadata.

LGTM

This revision is now accepted and ready to land.Jun 11 2014, 2:55 AM
dsanders updated this object.Jun 12 2014, 4:11 AM
dsanders edited edge metadata.
dsanders closed this revision.Jun 12 2014, 4:12 AM